commit d7046cc983accfbdc8cb33ce3ef56b30274b67b4
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Thu Sep 16 15:14:38 2021

    libstdc++: Add noexcept to std::nullopt_t constructor
    
    Signed-off-by: Jonathan Wakely <jwakely@redhat.com>
    
    libstdc++-v3/ChangeLog:
    
            * include/std/optional (nullptr_t): Make constructor noexcept.
    
    (cherry picked from commit cbe705a2f749c98a5f803afeb207e175b4c9a3c3)

diff --git a/libstdc++-v3/include/std/optional b/libstdc++-v3/include/std/optional
index 0a67ce24bbd..023fe81cae2 100644
--- a/libstdc++-v3/include/std/optional
+++ b/libstdc++-v3/include/std/optional
@@ -70,7 +70,7 @@ _GLIBCXX_BEGIN_NAMESPACE_VERSION
     enum class _Construct { _Token };
 
     // Must be constexpr for nullopt_t to be literal.
-    explicit constexpr nullopt_t(_Construct) { }
+    explicit constexpr nullopt_t(_Construct) noexcept { }
   };
 
   /// Tag to disengage optional objects.

